javax.enterprise.deploy.spi

## Interface DConfigBean

- All Known Subinterfaces:
    DConfigBeanRoot

      public interface DConfigBean

  The DConfigBean is a deployment configuration bean (DConfigBean) that is associated with one or more deployment descriptor beans, (DDBean). A DConfigBean represents a logical grouping of deployment configuration data to be presented to the Deployer. A DConfigBean provides zero or more XPaths that identifies the XML information it requires. A DConfigBean may contain other DConfigBeans and regular JavaBeans. The top most DConfigBean is a DConfigBeanRoot object which represents a single XML instance document.

  A DConfigBean is created by calling DConfigBean.getDConfigBean(DDBean) method, where DConfigBean is the object that provided the XPath which the DDBean represents.

  A DConfigBean is a JavaBean component that presents the dynamic deployment configuration information for a Java EE plugin to the deployer. It is a JavaBean. The JavaBean architecture was chosen because of its versatility in providing both simple and complex components. JavaBeans also enable the development of property sheets and property editors, as well as sophisticated customization wizards.

  It is expected that a plugin vendor will provide a Property Editor for any complex datatype in a DConfigBean that a deployer needs to edit through a property sheet. The Property Editor should be implemented and made available to a tool according to the guidelines defined in the JavaBeans API Specification version 1.01.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener pcl)` Register a property listener for this bean.
    `DConfigBean` | `getDConfigBean(DDBean bean)` Return the JavaBean containing the server-specific deployment configuration information based upon the XML data provided by the DDBean.
    `DDBean` | `getDDBean()` Return the JavaBean containing the deployment descriptor XML text associated with this DConfigBean.
    `String[]` | `getXpaths()` Return a list of XPaths designating the deployment descriptor information this DConfigBean requires.
    `void` | `notifyDDChange(XpathEvent event)` A notification that the DDBean provided in the event has changed and this bean or its child beans need to reevaluate themselves.
    `void` | `removeDConfigBean(DConfigBean bean)` Remove a child DConfigBean from this bean.
    `void` | `removePropertyChangeListener(PropertyChangeListener pcl)` Unregister a property listener for this bean.

- - ### Method Detail

    - #### getDDBean

          DDBean getDDBean()

      Return the JavaBean containing the deployment descriptor XML text associated with this DConfigBean.
      Returns:
        The bean class containing the XML text for this DConfigBean.

    - #### getXpaths

          String[] getXpaths()

      Return a list of XPaths designating the deployment descriptor information this DConfigBean requires. A given server vendor will need to specify some server-specific information. Each String returned by this method is an XPath describing a certain portion of the standard deployment descriptor for which there is corresponding server-specific configuration.
      Returns:
        a list of XPath Strings representing XML data to be retrieved or 'null' if there are none.

    - #### getDConfigBean

          DConfigBean getDConfigBean(DDBean bean)
                                     throws ConfigurationException

      Return the JavaBean containing the server-specific deployment configuration information based upon the XML data provided by the DDBean.
      Parameters:
        `bean` - The DDBean containing the XML data to be evaluated.
      Returns:
        The DConfigBean to display the server-specific properties for the standard bean.
      Throws:
        `ConfigurationException` - reports errors in generating a configuration bean. This DDBean is considered undeployable to this server until this exception is resolved. A suitably descriptive message is required so the user can diagnose the error.

    - #### removeDConfigBean

          void removeDConfigBean(DConfigBean bean)
                                 throws BeanNotFoundException

      Remove a child DConfigBean from this bean.
      Parameters:
        `bean` - The child DConfigBean to be removed.
      Throws:
        `BeanNotFoundException` - the bean provided is not in the child list of this bean.

    - #### notifyDDChange

          void notifyDDChange(XpathEvent event)

      A notification that the DDBean provided in the event has changed and this bean or its child beans need to reevaluate themselves.
      Parameters:
        `event` - an event containing a reference to the DDBean which has changed.

    - #### addPropertyChangeListener

          void addPropertyChangeListener(PropertyChangeListener pcl)

      Register a property listener for this bean.
      Parameters:
        `pcl` - PropertyChangeListener to add

    - #### removePropertyChangeListener

          void removePropertyChangeListener(PropertyChangeListener pcl)

      Unregister a property listener for this bean.
      Parameters:
        `pcl` - Listener to remove.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.